Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions | Variables
compar.c File Reference
`#include "ruby/ruby.h"`
`#include "id.h"`
`#include "internal.h"`

Go to the source code of this file.

## Macros
#define | rb_intern(str) rb_intern_const(str)

## Functions
void | rb_cmperr (VALUE x, VALUE y)
VALUE | rb_invcmp (VALUE x, VALUE y)
void | Init_Comparable (void)

## Variables
VALUE | rb_mComparable

## Macro Definition Documentation

## ◆ rb_intern

#define rb_intern | ( |  | str | ) | rb_intern_const(str)

## Function Documentation

## ◆ Init_Comparable()

void Init_Comparable | ( | void |  | ) |

Definition at line 294 of file compar.c.

References rb_define_method(), rb_define_module(), and rb_mComparable.

## ◆ rb_cmperr()

void rb_cmperr | ( | VALUE | x,
|  | VALUE | y
| ) |  |

Definition at line 25 of file compar.c.

Referenced by rb_cmpint().

## ◆ rb_invcmp()

VALUE rb_invcmp | ( | VALUE | x,
|  | VALUE | y
| ) |  |

Definition at line 47 of file compar.c.

References rb_exec_recursive().

## Variable Documentation

## ◆ rb_mComparable

VALUE rb_mComparable

Definition at line 16 of file compar.c.

Referenced by Init_Comparable().